<?php

use ActiveRecord\Model;

class Role extends Model {
static $primary_key = "id";
    static $has_many = array(
        array('resource_roles'),
        array('user_roles'),
        array('users', 'through' => 'user_roles')
    );

    function getAll() {
        $a = self::find('all');
        foreach ($a as $key => $value) {
            $b[$key] = $value;
        }
        Debug::pr($b);
        return $b;
    }

}
